﻿
@model List<HistoriqueEtatCommandes>
<div class="container-fluid" style="display:flex; flex-direction:column;">
    <div class="container mt-3">
        <form asp-controller="Commande" asp-action="GetHistoriqueCommandes">
            <div class="row">
                <div class="input-group mb-3 col">
                    <input type="text" name="id" class="form-control" placeholder="Saisir le numero de commande" aria-describedby="basic-addon2">
                    <div class="input-group-append">
                        <Button class="input-group-text btn btn-info" type="submit" id="basic-addon2">Rechercher</Button>
                    </div>
                </div>
            </div>
        </form>
        <small id="passwordHelpBlock" class="form-text text-muted">
            Vous pouvez obtenir l'historique d'une commande par son numero.
        </small>
    </div>
    @if (Model != null)
    {
        <table class="table table-info mt-4">
            <thead>
                <tr>
                    <th scope="col">N°Commande</th>
                    <th scope="col">Date Etat</th>
                    <th scope="col">Utilisateur</th>
                    <th scope="col">Statut</th>
                  
                </tr>
            </thead>
            <tbody>
                @foreach (HistoriqueEtatCommandes h in @Model)
                {
                    <tr>
                        <td>@h.NumeroCommande</td>
                        <td>@h.DateEtatCommande</td>
                        <td>@h.NomEmploye</td>
                        <td>@h.EtatComande</td>
                    </tr>
                }
            </tbody>
            <tfoot>
            </tfoot>
        </table>
    }
    else { }
</div>